## mariadb-5.5 5.5.46

=== debian/changelog ===
mariadb-5.5 (5.5.46-1ubuntu0.14.04.2) trusty-security; urgency=low

  * SECURITY UPDATE: Update to 5.5.46 to fix security issues (LP: #1512241):
    - CVE-2015-4913
    - CVE-2015-4870
    - CVE-2015-4861
    - CVE-2015-4858
    - CVE-2015-4836
    - CVE-2015-4830
    - CVE-2015-4826
    - CVE-2015-4815
    - CVE-2015-4807
    - CVE-2015-4802
    - CVE-2015-4792
  * Upstream release 5.5.45 fixes for the following security vulnerabilities:
    - CVE-2015-4816
    - CVE-2015-4819
    - CVE-2015-4879
  * Update new Oracle CVE identifiers to old MariaDB changelog entries
  * New patch: Extend date in test suite so that main.events_1 will pass

 -- Otto Kekäläinen <otto@seravo.fi>  Tue, 03 Nov 2015 11:41:30 +0200

mariadb-5.5 (5.5.44-1ubuntu0.14.04.1) trusty-security; urgency=low

  * SECURITY UPDATE: Update to 5.5.44 to fix security issues (LP: #1464895):
    - CVE-2015-3152
    - CVE-2015-2648
    - CVE-2015-2582
    - CVE-2015-4752
    - CVE-2015-2643
    - CVE-2015-4864
    - CVE-2015-2620
  * Upstream also includes lots of line ending changes (from CRLF -> LF)
  * Removed hotfix patch now included in upstream release (MDEV-8115)

 -- Otto Kekäläinen <otto@seravo.fi>  Sat, 13 Jun 2015 21:09:48 +0300

## mariadb-5.5 5.5.47

=== debian/changelog ===
mariadb-5.5 (5.5.47-1ubuntu0.14.04.1) trusty-security; urgency=low

  * SECURITY UPDATE: New upstream release 5.5.47
    - CVE-2016-0546
    - CVE-2016-0505
    - CVE-2016-0596
    - CVE-2016-0597
    - CVE-2016-0616
    - CVE-2016-0598
    - CVE-2016-0600
    - CVE-2016-0606
    - CVE-2016-0608
    - CVE-2016-0609
    - CVE-2016-2047
    - Adds the mariadb-slow.log into the logrotate file, as the file
      name mariadb-slow.log is the log name in the default config file.

 -- Otto Kekäläinen <otto@seravo.fi>  Thu, 10 Dec 2015 10:24:40 +0200

## mariadb-5.5 5.5.49

=== debian/changelog ===
mariadb-5.5 (5.5.49-1ubuntu0.14.04.1) trusty-security; urgency=low

  * SECURITY UPDATE: New upstream release 5.5.49 (LP: #1573761)
    - CVE-2016-0647
    - CVE-2016-0648
    - CVE-2016-0666
    - CVE-2016-0643
  * After the release of 5.5.49 it was announced that 5.5.48 included fixes for
    the following security vulnerabilities:
    - CVE-2016-0640
    - CVE-2016-0644
    - CVE-2016-0646
    - CVE-2016-0649
    - CVE-2016-0650
    - CVE-2016-0641
  * Updated previous changelog entries to contain new CVE identifiers.

 -- Otto Kekäläinen <otto@debian.org>  Fri, 22 Apr 2016 22:13:38 +0300

## mariadb-5.5 5.5.52

=== debian/changelog ===
mariadb-5.5 (5.5.52-1ubuntu0.14.04.1) trusty-security; urgency=low

  * SECURITY UPDATE: New upstream release 5.5.52 (LP: #1605493)
    - Latest maintenance release includes only fixes to serious bugs.
  * Previous release 5.5.51 included included fixes for
    the following security vulnerabilities:
    - CVE-2016-6662
  * Previous release 5.5.50 included included fixes for
    the following security vulnerabilities:
    - CVE-2016-5440
    - CVE-2016-3615
    - CVE-2016-3521
    - CVE-2016-3477
  * Update previous changelog entries to contain new CVE identifiers

 -- Otto Kekäläinen <otto@debian.org>  Wed, 14 Sep 2016 21:01:08 +0300

=== debian/control ===
Source: mariadb-5.5
Section: database
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
Uploaders: Otto Kekäläinen <otto@seravo.fi>,
           Clint Byrum <clint@ubuntu.com>,
           James Page <jamespage@debian.org>
Build-Depends: bison,
               chrpath,
               cmake,
               debhelper (>= 9),
               dh-apparmor,
               hardening-wrapper,
               libaio-dev [linux-any],
               libjemalloc-dev (>= 3.0.0) [linux-any],
               libncurses5-dev (>= 5.0-6),
               libpam0g-dev,
               libreadline-gplv2-dev,
               libssl-dev,
               libwrap0-dev (>= 7.6-8.3),
               lsb-release,
               perl,
               po-debconf,
               psmisc,
               zlib1g-dev (>= 1:1.1.3-5)
Standards-Version: 3.9.5
Homepage: http://mariadb.org/
Vcs-Git: git://anonscm.debian.org/pkg-mysql/mariadb-5.5.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mysql/mariadb-5.5.git

Package: libmariadbclient18
Section: libs
Architecture: any
Depends: mariadb-common, ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Conflicts: mariadb-galera-server-5.5 (<< 5.5.33),
           mariadb-server-5.1,
           mariadb-server-5.2,
           mariadb-server-5.3,
           mariadb-server-5.5 (<< 5.5.33)
Multi-Arch: same
Description: MariaDB database client library
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes the client library.

Package: libmariadbd-dev
Architecture: any
Section: libdevel
Pre-Depends: multiarch-support
Depends: libmariadbclient-dev (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libmysqld-dev
Replaces: libmysqld-dev
Description: MariaDB embedded database development files
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes the embedded server library and header files.

Package: libmariadbclient-dev
Architecture: any
Section: libdevel
Depends: libmariadbclient18 (= ${binary:Version}),
         zlib1g-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libmysqlclient-dev
Replaces: libmysqlclient-dev
Description: MariaDB database development files
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes development libraries and header files.

Package: mariadb-common
Architecture: all
Depends: mysql-common, ${misc:Depends}
Multi-Arch: foreign
Description: MariaDB common metapackage
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This empty metapackage makes the introduction on MariaDB specific
 configurationfiles easier at any later time.

Package: mariadb-client-core-5.5
Architecture: any
Depends: libmariadbclient18 (>= ${source:Version}),
         mariadb-common,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: mysql-client-5.5, mysql-client-5.6
Breaks: mysql-client-core-5.5, mysql-client-core-5.6, virtual-mysql-client-core
Replaces: mysql-client-core-5.5,
          mysql-client-core-5.6,
          virtual-mysql-client-core
Provides: virtual-mysql-client-core
Description: MariaDB database core client binaries
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes the core client files, as used by Akonadi.

Package: mariadb-client-5.5
Architecture: any
Depends: debianutils (>=1.6),
         libdbi-perl,
         libterm-readkey-perl,
         mariadb-client-core-5.5 (>= ${source:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: libdbd-mysql-perl (>= 1.2202)
Conflicts: mysql-client-core-5.5, mysql-client-core-5.6
Breaks: mariadb-server-5.5 (<< ${source:Version}),
        mysql-client,
        mysql-client-5.5,
        mysql-client-5.6,
        virtual-mysql-client
Replaces: mariadb-server-5.5 (<< ${source:Version}),
          mysql-client,
          mysql-client-5.5,
          mysql-client-5.6,
          virtual-mysql-client
Provides: virtual-mysql-client
Description: MariaDB database client binaries
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes the client binaries and the additional tools
 innotop and mysqlreport.

Package: mariadb-server-core-5.5
Architecture: any
Depends: mariadb-common, ${misc:Depends}, ${shlibs:Depends}
Conflicts: mariadb-galera-server-5.5, mysql-server-5.5, mysql-server-5.6
Breaks: mysql-server-core-5.5, mysql-server-core-5.6, virtual-mysql-server-core
Replaces: mysql-server-core-5.5,
          mysql-server-core-5.6,
          virtual-mysql-server-core
Provides: virtual-mysql-server-core
Description: MariaDB database core server files
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes the core server files, as used by Akonadi.

Package: mariadb-test-5.5
Architecture: any
Depends: mariadb-client-5.5 (>= ${source:Version}),
         mariadb-server-5.5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: mariadb-test (<< ${source:Version}),
        mysql-testsuite,
        mysql-testsuite-5.5,
        mysql-testsuite-5.6,
        virtual-mysql-testsuite
Replaces: mariadb-test (<< ${source:Version}),
          mysql-testsuite,
          mysql-testsuite-5.5,
          mysql-testsuite-5.6,
          virtual-mysql-testsuite
Provides: virtual-mysql-testsuite
Suggests: patch
Description: MariaDB database regression test suite
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes the regression test suite.

Package: mariadb-server-5.5
Architecture: any
Suggests: mailx, mariadb-test, tinyca
Recommends: libhtml-template-perl
Pre-Depends: adduser (>= 3.40), debconf, mariadb-common
Depends: libdbi-perl,
         lsb-base (>= 3.0-10),
         mariadb-client-5.5 (>= ${source:Version}),
         mariadb-server-core-5.5 (>= ${binary:Version}),
         passwd,
         perl (>= 5.6),
         psmisc,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: mariadb-tokudb-engine-10.0,
           mariadb-tokudb-engine-5.5,
           mysql-server-core-5.5,
           mysql-server-core-5.6
Breaks: mariadb-galera-server,
        mariadb-galera-server-5.5,
        mariadb-tokudb-engine-10.0,
        mariadb-tokudb-engine-5.5,
        mysql-server,
        mysql-server-5.5,
        mysql-server-5.6,
        virtual-mysql-server
Replaces: mariadb-galera-server,
          mariadb-galera-server-5.5,
          mariadb-tokudb-engine-10.0,
          mariadb-tokudb-engine-5.5,
          mysql-server,
          mysql-server-5.5,
          mysql-server-5.6,
          virtual-mysql-server
Provides: virtual-mysql-server
Description: MariaDB database server binaries
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes the server binaries.

Package: mariadb-server
Architecture: all
Depends: mariadb-server-5.5 (>= ${source:Version}), ${misc:Depends}
Description: MariaDB database server (metapackage depending on the latest version)
 This is an empty package that depends on the current "best" version of
 mariadb-server (currently mariadb-server-5.5), as determined by the MariaDB
 maintainers. Install this package if in doubt about which MariaDB
 version you need. That will install the version recommended by the
 package maintainers.
 .
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.

Package: mariadb-client
Architecture: all
Depends: mariadb-client-5.5 (>= ${source:Version}), ${misc:Depends}
Description: MariaDB database client (metapackage depending on the latest version)
 This is an empty package that depends on the current "best" version of
 mariadb-client (currently mariadb-client-5.5), as determined by the MariaDB
 maintainers.  Install this package if in doubt about which MariaDB version
 you want, as this is the one considered to be in the best shape.

Package: mariadb-test
Architecture: all
Depends: mariadb-test-5.5 (>= ${source:Version}), ${misc:Depends}
Description: MariaDB database regression test suite (metapackage for the latest version)
 This is an empty package that depends on the current "best" version of
 mariadb-test (currently mariadb-test-5.5), as determined by the MariaDB
 maintainers.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1

TMP:=$(CURDIR)/debian/tmp/

ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ARCH_OS := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
DEBVERSION := $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }' | sed 's/^.*-//' )

ifneq (,$(filter $(ARCH), i386 kfreebsd-i386 hurd-i386))
    TAOCRYPT_OPT="-DTAOCRYPT_DISABLE_X86ASM"
endif

# Disable TokuDB due to failing test suite
# TokuDB is disabled in Trusty and can very well 
# be disabled in Utopic too
TOKUDB_OPT:=-DWITHOUT_TOKUDB=true

export MYSQL_BUILD_CC=$(DEB_HOST_GNU_TYPE)-gcc
export MYSQL_BUILD_CXX=$(DEB_HOST_GNU_TYPE)-g++

DEB_SOURCE_PACKAGE ?= $(strip $(shell egrep '^Source: ' debian/control | cut -f 2 -d ':'))
DEB_VERSION ?= $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
DEB_NOEPOCH_VERSION ?= $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION ?= $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
DEB_UPSTREAM_VERSION_MAJOR_MINOR := $(shell echo $(DEB_UPSTREAM_VERSION) | sed -r -n 's/^([0-9]+\.[0-9]+).*/\1/p')
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DISTRIBUTION := $(shell lsb_release -i -s)
RELEASE := $(shell lsb_release -r -s)

# Parallel build support as adviced
# at https://www.debian.org/doc/debian-policy/ch-source.html#s-debianrules-options
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    # Placeholder code to implement max cpu count value checking
    # if [$(NUMJOBS) > $(shell if [ -f /proc/cpuinfo ] ; then grep -c processor.* /proc/cpuinfo ; else echo 1 ; fi)]
    #  then NUMJOBS = 0
    # fi
    MAKEFLAGS += -j $(NUMJOBS)
endif

# Add support for verbose builds
ifneq (,$(filter verbose,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += VERBOSE=1
endif

MAKE_TEST_TARGET:=test-force
ifneq ($(findstring fulltest,$(DEB_BUILD_OPTIONS)),)
# make test-bt is the testsuite run by the MySQL build team
# before a release, but it is long
    MAKE_TEST_TARGET:=test-bt
endif

USE_ASSEMBLER:=--enable-assembler

ifneq (,$(filter $(ARCH), amd64 kfreebsd-amd64 i386 kfreebsd-i386 ia64 s390 s390x))
    TESTSUITE_FAIL_CMD:=exit 1
else
    TESTSUITE_FAIL_CMD:=true
endif

SHARED_LIBS_DIR := $(TMP)/usr/lib/$(DEB_HOST_MULTIARCH)/

BUILDDIR := builddir
builddir = $(BUILDDIR)

# This causes seg11 crashes if LDAP is used for groups in /etc/nsswitch.conf
# so it is disabled by default although, according to MySQL, it brings >10%
# performance gain if enabled. See #299382.
ifeq ($(STATIC_MYSQLD), 1)
    USE_STATIC_MYSQLD:=--with-mysqld-ldflags=-all-static
endif

override_dh_auto_clean:
	@echo "RULES.$@"
	dh_testdir
	dh_testroot
	[ ! -d mysql-test/var ] || rm -rf mysql-test/var
	rm -rf $(BUILDDIR)
	debconf-updatepo # Update po-files when clean runs before each build

override_dh_prep:
        # Don't clean /tmp/ away, it is needed by all binary packages

override_dh_auto_configure:
	@echo "RULES.$@"
	dh_testdir
	
	# Versioned symbols are only available on Linux.
	# Remove symbols file on kFreeBSD builds so that
	# dpkg-gensymbols will not fail the build.
ifneq (,$(filter $(ARCH), kfreebsd-i386 kfreebsd-amd64))
	rm debian/libmariadbclient18.symbols
endif
	
	# Rename shared libraries SONAME and filenames
	# libmysqlclient18.so > libmariadbclient18.so etc
	sed -i 's/mysqlclient/mariadbclient/g' client/CMakeLists.txt tests/CMakeLists.txt scripts/CMakeLists.txt
	sed -i 's/mysqlclient/mariadbclient/g' libmysql/CMakeLists.txt libmysql/libmysql_versions.ld.in
	sed -i 's/mysqlclient/mariadbclient/g' man/mysql_config.1
	sed -i 's/mysqlclient/mariadbclient/g' scripts/make_win_bin_dist scripts/mysql_config.sh scripts/mysql_config.pl.in
	# Patch 44_scripts__mysql_config__libs also contains 'mysqlclient' but is compatible with this
	# Stuff in storage/ndb/* is not compiled, no need to sed it.
	# Neither does RPM packaging related files or comments in other code need sedding.
	
	( test -d $(builddir) || mkdir $(builddir) ) && cd $(builddir) && \
	sh -c  'PATH=$${MYSQL_BUILD_PATH:-"/usr/local/bin:/usr/bin:/bin"} \
	    	CC=$${MYSQL_BUILD_CC:-gcc} \
		CFLAGS=$${MYSQL_BUILD_CFLAGS:-"-O2 -DBIG_JOINS=1 -fno-strict-aliasing ${TAOCRYPT_OPT}"} \
	    	CXX=$${MYSQL_BUILD_CXX:-g++} \
	    	CXXFLAGS=$${MYSQL_BUILD_CXXFLAGS:-"-O3 -DBIG_JOINS=1 -felide-constructors -fno-exceptions -fno-rtti -fno-strict-aliasing ${TAOCRYPT_OPT}"} \
	    cmake -DCMAKE_INSTALL_PREFIX=/usr \
	    $(USE_STATIC_MYSQLD) \
	    -$(MAKEFLAGS) \
	    $(TOKUDB_OPT) \
	    -DCOMPILATION_COMMENT="($(DISTRIBUTION))" \
	    -DMYSQL_SERVER_SUFFIX="-$(DEBVERSION)" \
	    -DSYSTEM_TYPE="debian-$(DEB_BUILD_GNU_SYSTEM)" \
	    -DBUILD_CONFIG=mysql_release \
	    -DINSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
	    -DINSTALL_PLUGINDIR=lib/mysql/plugin \
		-DDEB=1 ..'
	touch $@

# This is needed, otherwise 'make test' will run before binaries have been built
override_dh_auto_build:
	@echo "RULES.$@"
	cd $(builddir) && $(MAKE)
	touch $@

override_dh_auto_test:
	@echo "RULES.$@"
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd $(builddir) && $(MAKE) $(MAKE_TEST_TARGET) || $(TESTSUITE_FAIL_CMD) ;
endif

override_dh_auto_install:
	@echo "RULES.$@"
	dh_testdir
	dh_testroot
	
	# If TokuDB plugin was built
	# add it to the server install list.
	[ ! -f $(BUILDDIR)/usr/lib/mysql/plugin/ha_tokudb.so ] || echo 'usr/lib/mysql/plugin/ha_tokudb.so\netc/mysql/conf.d/tokudb.cnf\nusr/bin/tokuftdump\nusr/share/doc/mariadb-server-5.5/README-TOKUDB\nusr/share/doc/mariadb-server-5.5/README.md' >> debian/mariadb-server-5.5.install
	
	mkdir -p $(TMP)/etc/mysql/conf.d/
	cp debian/additions/mysqld_safe_syslog.cnf $(TMP)/etc/mysql/conf.d/
	
	# make install (trailing slash needed for innobase)
	cd $(builddir) && $(MAKE) install DESTDIR=$(TMP)/
	
	# After installing, remove rpath to make lintian happy.
	set +e; \
	find ./debian/tmp/ -type f -print0 \
		| xargs -0 --no-run-if-empty chrpath -k 2>/dev/null \
		| fgrep RPATH= \
		| cut -d: -f 1 \
		| xargs --no-run-if-empty chrpath -d; \
	set -e
	
	# libmysqlclient-dev: forgotten header file since 3.23.25?
	cp $(BUILDDIR)/include/my_config.h $(TMP)/usr/include/mysql/
	cp include/my_dir.h $(TMP)/usr/include/mysql/
	
	# mariadb-common: MariaDB-specific config stuff.
	install -d $(TMP)/etc/mysql/conf.d
	install -m 0644 debian/additions/mariadb.cnf $(TMP)/etc/mysql/conf.d/mariadb.cnf
	
	# mariadb-server
	rm -vf $(TMP)/usr/share/mysql/mi_test_all* \
	       $(TMP)/usr/share/mysql/mysql-log-rotate \
	       $(TMP)/usr/share/mysql/mysql.server \
	       $(TMP)/usr/share/mysql/binary-configure
	nm -n $(BUILDDIR)/sql/mysqld |gzip -9 > $(TMP)/usr/share/doc/mariadb-server-5.5/mysqld.sym.gz
	# Below didn't work, use more explicit command above
	# nm -n $(BUILDDIR)/sql/mysqld |gzip -9 > debian/mysqld.sym.gz
	mkdir -p $(TMP)/etc/mysql/conf.d/
	install -m 0755 debian/additions/echo_stderr $(TMP)/usr/share/mysql/
	install -m 0755 debian/additions/debian-start $(TMP)/etc/mysql/
	install -m 0755 debian/additions/debian-start.inc.sh $(TMP)/usr/share/mysql/
	mkdir -p $(TMP)/usr/share/doc/mariadb-server-5.5
	install -m 0644 $(builddir)/Docs/INFO_SRC $(TMP)/usr/share/doc/mariadb-server-5.5/INFO_SRC
	install -m 0644 $(builddir)/Docs/INFO_BIN $(TMP)/usr/share/doc/mariadb-server-5.5/INFO_BIN
	
	# install AppArmor profile
	install -D -m 644 debian/apparmor-profile $(TMP)/etc/apparmor.d/usr.sbin.mysqld
	
	# install Apport hook
	install -D -m 644 debian/mariadb-server-5.5.py $(TMP)/usr/share/apport/package-hooks/source_mariadb-5.5.py
	
	# mariadb-test
	mv $(TMP)/usr/mysql-test $(TMP)/usr/share/mysql
	touch $@

override_dh_installlogrotate-arch:
	dh_installlogrotate --name mysql-server

# Start mysql in runlevel 19 before 20 where apache, proftpd etc gets

## mariadb-5.5 5.5.53

=== debian/changelog ===
mariadb-5.5 (5.5.53-1ubuntu0.14.04.1) trusty-security; urgency=low

  * SECURITY UPDATE: New upstream release 5.5.53. Includes fixes for the
    following security vulnerabilities (LP: #1638125):
    - CVE-2016-7440
    - CVE-2016-5584
  * Update previous changelog entries to contain new CVE identifiers

 -- Otto Kekäläinen <otto@debian.org>  Mon, 31 Oct 2016 23:48:54 +0200

## mariadb-5.5 5.5.54

=== debian/changelog ===
mariadb-5.5 (5.5.54-1ubuntu0.14.04.1) trusty-security; urgency=high

  * SECURITY UPDATE: New upstream release 5.5.54. Includes fixes for the
    following security vulnerabilities (LP: #1657594):
    - CVE-2017-3318
    - CVE-2017-3317
    - CVE-2017-3312
    - CVE-2017-3291
    - CVE-2017-3265
    - CVE-2017-3258
    - CVE-2017-3244
    - CVE-2017-3243
    - CVE-2017-3238
    - CVE-2016-6664

 -- Otto Kekäläinen <otto@debian.org>  Thu, 19 Jan 2017 00:46:44 +0200

## mariadb-5.5 5.5.56

=== debian/changelog ===
mariadb-5.5 (5.5.56-1ubuntu0.14.04.1) trusty-security; urgency=high

  * SECURITY UPDATE: New upstream release 5.5.56. Includes fixes made
    in release 5.5.55 for the following security vulnerabilities
    (LP: #1698689):
    - CVE-2017-3464
    - CVE-2017-3456
    - CVE-2017-3453
    - CVE-2017-3313
    - CVE-2017-3309
    - CVE-2017-3308
    - CVE-2017-3302

 -- Otto Kekäläinen <otto@debian.org>  Sun, 18 Jun 2017 23:04:24 +0200

## mariadb-5.5 5.5.57

=== debian/changelog ===
mariadb-5.5 (5.5.57-1ubuntu0.14.04.1) trusty-security; urgency=high

  * SECURITY UPDATE: New upstream release 5.5.57. Includes fixes made
    in release 5.5.55 for the following security vulnerabilities
    (LP: #1705944):
    - CVE-2017-3653
    - CVE-2017-3641
    - CVE-2017-3636
  * Update previous changelog entries to contain new CVE identifiers

 -- Otto Kekäläinen <otto@debian.org>  Sun, 23 Jul 2017 23:38:03 +0300

## mariadb-5.5 5.5.58

=== storage/tokudb/CMakeLists.txt ===
# ft-index only supports x86-64 and cmake-2.8.9+
IF(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64" AND
    NOT CMAKE_VERSION VERSION_LESS "2.8.9")
CHECK_CXX_SOURCE_COMPILES(
"
struct a {int b; int c; };
struct a d = { .b=1, .c=2 };
int main() { return 0; }
" TOKUDB_OK)
ENDIF()

IF(NOT TOKUDB_OK OR WITHOUT_TOKUDB OR WITHOUT_TOKUDB_STORAGE_ENGINE)
  RETURN()
ENDIF()

IF(NOT LIBJEMALLOC)
  MESSAGE(WARNING "TokuDB is enabled, but jemalloc is not. This configuration is not supported")
ENDIF()

IF (HAVE_WVLA)
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-vla")
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-vla")
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wno-vla")
  SET(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wno-vla")
ENDIF()

############################################
SET(TOKUDB_VERSION "tokudb-7.5.7")
SET(TOKUDB_DEB_FILES "usr/lib/mysql/plugin/ha_tokudb.so\netc/mysql/conf.d/tokudb.cnf\nusr/bin/tokuftdump\nusr/share/doc/mariadb-server-5.5/README-TOKUDB\nusr/share/doc/mariadb-server-5.5/README.md" PARENT_SCOPE)
SET(USE_BDB OFF CACHE BOOL "")
MARK_AS_ADVANCED(BUILDNAME)
MARK_AS_ADVANCED(BUILD_TESTING)
MARK_AS_ADVANCED(CMAKE_TOKUDB_REVISION)
MARK_AS_ADVANCED(LIBTOKUDB)
MARK_AS_ADVANCED(LIBTOKUPORTABILITY)
MARK_AS_ADVANCED(TOKUDB_DATA)
MARK_AS_ADVANCED(TOKU_DEBUG_PARANOID)
MARK_AS_ADVANCED(USE_BDB)
MARK_AS_ADVANCED(USE_VALGRIND)
MARK_AS_ADVANCED(XZ_SOURCE_DIR)
############################################

SET(BUILD_TESTING OFF CACHE BOOL "")
SET(USE_VALGRIND OFF CACHE BOOL "")
SET(TOKU_DEBUG_PARANOID OFF CACHE BOOL "")

IF(NOT DEFINED TOKUDB_VERSION)
    IF(DEFINED ENV{TOKUDB_VERSION})
        SET(TOKUDB_VERSION $ENV{TOKUDB_VERSION})
    ENDIF()
ENDIF()
IF(DEFINED TOKUDB_VERSION)
    ADD_DEFINITIONS("-DTOKUDB_VERSION=${TOKUDB_VERSION}")
    IF (${TOKUDB_VERSION} MATCHES "^tokudb-([0-9]+)\\.([0-9]+)\\.([0-9]+.*)")
        ADD_DEFINITIONS("-DTOKUDB_VERSION_MAJOR=${CMAKE_MATCH_1}")
        ADD_DEFINITIONS("-DTOKUDB_VERSION_MINOR=${CMAKE_MATCH_2}")
        ADD_DEFINITIONS("-DTOKUDB_VERSION_PATCH=${CMAKE_MATCH_3}")
    ENDIF()
ENDIF()

IF(DEFINED TOKUDB_NOPATCH_CONFIG)
    ADD_DEFINITIONS("-DTOKUDB_NOPATCH_CONFIG=${TOKUDB_NOPATCH_CONFIG}")
ENDIF()

IF(DEFINED TOKUDB_CHECK_JEMALLOC)
    ADD_DEFINITIONS("-DTOKUDB_CHECK_JEMALLOC=${TOKUDB_CHECK_JEMALLOC}")
ENDIF()

## adds a compiler flag if the compiler supports it
include(CheckCCompilerFlag)
include(CheckCXXCompilerFlag)

macro(set_cflags_if_supported)
  foreach(flag ${ARGN})
    string(REGEX REPLACE "-" "_" temp_flag ${flag})
    check_c_compiler_flag(${flag} HAVE_C_${temp_flag})
    if (HAVE_C_${temp_flag})
      set(CMAKE_C_FLAGS "${flag} ${CMAKE_C_FLAGS}")
    endif ()
    check_cxx_compiler_flag(${flag} HAVE_CXX_${temp_flag})
    if (HAVE_CXX_${temp_flag})
      set(CMAKE_CXX_FLAGS "${flag} ${CMAKE_CXX_FLAGS}")
    endif ()
  endforeach(flag)
endmacro(set_cflags_if_supported)

macro(append_cflags_if_supported)
  foreach(flag ${ARGN})
    string(REGEX REPLACE "-" "_" temp_flag ${flag})
    check_c_compiler_flag(${flag} HAVE_C_${temp_flag})
    if (HAVE_C_${temp_flag})
      set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${flag}")
    endif ()
    check_cxx_compiler_flag(${flag} HAVE_CXX_${temp_flag})
    if (HAVE_CXX_${temp_flag})
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${flag}")
    endif ()
  endforeach(flag)
endmacro(append_cflags_if_supported)

set_cflags_if_supported(-Wno-missing-field-initializers)
append_cflags_if_supported(-Wno-vla)
append_cflags_if_supported(-Wno-implicit-fallthrough)

ADD_SUBDIRECTORY(ft-index)

INCLUDE_DIRECTORIES(ft-index)
INCLUDE_DIRECTORIES(ft-index/portability)
INCLUDE_DIRECTORIES(ft-index/util)
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR}/ft-index)
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR}/ft-index/buildheader)
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR}/ft-index/portability)

SET(TOKUDB_PLUGIN_DYNAMIC "ha_tokudb")
SET(TOKUDB_SOURCES ha_tokudb.cc)
MYSQL_ADD_PLUGIN(tokudb ${TOKUDB_SOURCES} STORAGE_ENGINE MODULE_ONLY
    LINK_LIBRARIES tokufractaltree_static tokuportability_static ${ZLIB_LIBRARY} stdc++)
SET(CMAKE_MODULE_LINKER_FLAGS_RELEASE "${CMAKE_MODULE_LINKER_FLAGS_RELEASE} -flto -fuse-linker-plugin")
SET(CMAKE_MODULE_LINKER_FLAGS_RELWITHDEBINFO "${CMAKE_MODULE_LINKER_FLAGS_RELWITHDEBINFO} -flto -fuse-linker-plugin")

SET(CPACK_RPM_server_PACKAGE_OBSOLETES
  "${CPACK_RPM_server_PACKAGE_OBSOLETES} MariaDB-tokudb-engine < 5.5.34" PARENT_SCOPE)

IF (INSTALL_SYSCONF2DIR)
  INSTALL(FILES tokudb.cnf DESTINATION ${INSTALL_SYSCONF2DIR} COMPONENT Server)
ENDIF(INSTALL_SYSCONF2DIR)

=== debian/changelog ===
mariadb-5.5 (5.5.58-1ubuntu0.14.04.1) trusty-security; urgency=high

  * SECURITY UPDATE: New upstream release 5.5.58. Includes fixes for
    the following security vulnerabilities (LP: #1740608):
    - CVE-2017-10378, MDEV-13819
    - CVE-2017-10268
  * Update previous changelog entries to contain new CVE identifiers
  * Includes upstream MDEV-13819 server crash fix (LP: #1735876)

 -- Otto Kekäläinen <otto@debian.org>  Sat, 30 Dec 2017 17:55:52 +0200

## mariadb-5.5 5.5.59

=== debian/changelog ===
mariadb-5.5 (5.5.59-1ubuntu0.14.04.1) trusty-security; urgency=high

  * SECURITY UPDATE: New upstream release 5.5.59. Includes fixes for
    the following security vulnerabilities (LP: #1751920):
    - CVE-2018-2668
    - CVE-2018-2665
    - CVE-2018-2640
    - CVE-2018-2622
    - CVE-2018-2562
  * Update metadata and point VCS-* links to the new source repository

 -- Otto Kekäläinen <otto@debian.org>  Mon, 26 Feb 2018 17:21:12 -0500

## mariadb-5.5 5.5.61

=== debian/changelog ===
mariadb-5.5 (5.5.61-1ubuntu0.14.04.1) trusty-security; urgency=high

  * SECURITY UPDATE: New upstream release 5.5.61. Includes fixes for
    the following security vulnerabilities (LP: #1779715):
    - CVE-2018-3081
    - CVE-2018-3066
    - CVE-2018-3063
    - CVE-2018-3058
  * Previous release 5.5.60 included included fixes for
    the following security vulnerabilities:
    - CVE-2018-2819
    - CVE-2018-2817
    - CVE-2018-2813
    - CVE-2018-2781
    - CVE-2018-2771
    - CVE-2018-2761
    - CVE-2018-2755

 -- Otto Kekäläinen <otto@debian.org>  Thu, 02 Aug 2018 23:25:55 +0800

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/,uversionmangle=s/-(rc|beta)/$1/,pasv \
   ftp://ftp.osuosl.org/pub/mariadb/mariadb-5.5.([\d\.]*(?:-beta|-rc)?)/source/mariadb-([\d\.]*(?:-beta|-rc)?).tar.gz \
   debian uupdate

# Added string "-5.5." in path as MariaDB has release series 5.5 and 10.x in parallel,
# and we want uscan to check for updates only in the 5-series.

# Automated signature checking with pgpsigurlmangle has been available
# only since devscripts version 2.13.3

## mariadb-5.5 5.5.61+maria-1~wheezy

=== debian/changelog ===
mariadb-5.5 (5.5.61+maria-1~wheezy) wheezy; urgency=low

  * Automatic build with MariaDB build.

 -- Buildbot <buildbot@debian7-wheezy-amd64>  Mon, 30 Jul 2018 10:26:57 -0400

mariadb-5.5 (5.5.1) unstable; urgency=low

  * Initial release.

 -- Kristian Nielsen <knielsen@askmonty.org>  Fri, 6 Jan 2012 15:17:23 -0100

mariadb-5.3 (5.3.0) unstable; urgency=low

  * Initial release.

 -- Sergei Golubchik <serg@askmonty.org>  Mon, 1 Nov 2010 09:16:01 -0100

mariadb-5.2 (5.2.0) unstable; urgency=low

  * Initial release.

 -- Kristian Nielsen <knielsen@askmonty.org>  Wed, 17 Mar 2010 12:54:51 -0100

mariadb-5.1 (5.1.0) unstable; urgency=low

  * Initial release.

 -- Peter Lieverdink <peter@openquery.com>  Tue, 29 Sep 2009 17:05:03 +1000

=== debian/control ===
Source: mariadb-5.5
Section: misc
Priority: optional
Maintainer: MariaDB Developers <maria-developers@lists.launchpad.net>
XSBC-Original-Maintainer: Maria Developers <maria-developers@lists.launchpad.net>
Uploaders: MariaDB Developers <maria-developers@lists.launchpad.net>
Build-Depends: procps | hurd, debhelper, libncurses5-dev (>= 5.0-6),
               perl (>= 5.6.0), libwrap0-dev (>= 7.6-8.3),
               zlib1g-dev (>= 1:1.1.3-5), libreadline-gplv2-dev, libevent-dev,
               libssl-dev, libpam0g-dev, psmisc, po-debconf, chrpath,
               dpatch, gawk, bison, lsb-release, hardening-wrapper,
               cmake (>= 2.7), libaio-dev, libjemalloc-dev (>= 3.0.0)
Standards-Version: 3.8.3
Homepage: http://mariadb.org/
Vcs-Git: https://github.com/MariaDB/server.git
Vcs-Browser: https://github.com/MariaDB/server/

Package: libmariadbclient18
Section: libs
Architecture: any
Depends: mariadb-common, libmysqlclient18 (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: mariadb-server-5.5 (<< 5.5.33), mariadb-galera-server-5.5 (<< 5.5.33),
           mariadb-server-5.1, mariadb-server-5.2, mariadb-server-5.3
Description: MariaDB database client library
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes the client library.

Package: libmysqlclient18
Section: libs
Architecture: any
Depends: libmariadbclient18 (= ${source:Version})
Replaces: libmysqlclient18 (<< ${source:Version})
Description: Virtual package to satisfy external depends
 This is an empty package that provides an updated "best" version of
 libmysqlclient18 that does not conflict with the libmariadbclient18
 package.
 .
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.

Package: libmariadbd-dev
Architecture: any
Section: libdevel
Depends: libmariadbclient-dev (>= ${source:Version}), ${misc:Depends}
Provides: libmysqld-dev
Conflicts: libmysqld-dev
Replaces: libmysqld-dev
Description: MariaDB embedded database development files
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes the embedded server library and header files.

Package: libmariadbclient-dev
Architecture: any
Section: libdevel
Depends: libmariadbclient18 (>= ${source:Version}), zlib1g-dev, , ${shlibs:Depends}, ${misc:Depends}
Replaces: libmariadbclient16-dev, libmysqlclient16-dev
Conflicts: libmysqlclient-dev, libmariadbclient16-dev, libmysqlclient14-dev, libmysqlclient12-dev, libmysqlclient10-dev, libmysqlclient15-dev, libmysqlclient16-dev
Provides: libmysqlclient-dev
Description: MariaDB database development files
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes development libraries and header files.

Package: mysql-common
Section: database
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: MariaDB database common files (e.g. /etc/mysql/my.cnf)
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes files needed by all versions of the client library
 (e.g. /etc/mysql/my.cnf).

Package: mariadb-common
Section: database
Architecture: all
Depends: mysql-common, ${shlibs:Depends}, ${misc:Depends}
Description: MariaDB database common files (e.g. /etc/mysql/conf.d/mariadb.cnf)
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes files needed by all versions of the client library
 (e.g. /etc/mysql/conf.d/mariadb.cnf).

Package: mariadb-client-core-5.5
Architecture: any
Depends: mariadb-common, libmariadbclient18 (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: mysql-client-core, mysql-client-core-5.1, mysql-client-core-5.5
Conflicts: mysql-client (<< 5.0.51), mysql-client-5.0,
    mysql-client-5.1 (<< ${source:Version}), mysql-client-5.5 (<< ${source:Version}),
    mysql-client-core-5.1, mysql-client-core-5.5,
    mariadb-client-5.1, mariadb-client-core-5.1,
    mariadb-client-5.2, mariadb-client-core-5.2,
    mariadb-client-5.3, mariadb-client-core-5.3
Replaces: mysql-client (<< 5.0.51), mysql-client-5.0,
    mysql-client-5.1, mysql-client-5.5,
    mysql-client-core-5.1, mysql-client-core-5.5,
    mariadb-client-5.1, mariadb-client-core-5.1,
    mariadb-client-5.2, mariadb-client-core-5.2,
    mariadb-client-5.3, mariadb-client-core-5.3
Description: MariaDB database core client binaries
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes the core client files, as used by Akonadi.

Package: mariadb-client-5.5
Architecture: any
Depends: debianutils (>=1.6), libdbi-perl, libdbd-mysql-perl (>= 1.2202),
    mariadb-common, libmariadbclient18 (>= ${source:Version}),
    mariadb-client-core-5.5 (>= ${source:Version}), ${perl:Depends},
    ${shlibs:Depends}, ${misc:Depends}
Suggests: libterm-readkey-perl
Provides: virtual-mysql-client, mysql-client,
    mysql-client-4.1, mysql-client-5.1, mysql-client-5.5
Conflicts: mysql-client (<< 5.0.51), mysql-client-5.0, mysql-client-5.1,
    mariadb-client (<< ${source:Version}),
    mariadb-client-5.1, mariadb-client-5.2, mariadb-client-5.3, mysql-client-5.5
Replaces: mysql-client (<< 5.0.51), mysql-client-5.0, mysql-client-5.1,
    mysql-client-5.5,
    mariadb-client (<< ${source:Version}),
    mariadb-client-5.1, mariadb-client-5.2, mariadb-client-5.3
Description: MariaDB database client binaries
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes the client binaries and the additional tools
 innotop and mysqlreport.

Package: mariadb-server-core-5.5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmariadbclient18 (>= ${binary:Version})
Provides: mysql-server-core, mysql-server-core-5.1, mysql-server-core-5.5
Conflicts: mariadb-server-5.1 (<< 5.1.60),
    mariadb-server-5.2 (<< 5.2.10),
    mariadb-server-5.3 (<< 5.3.3),
    mysql-server-5.0,
    mysql-server-core-5.0, mysql-server-core-5.1, mysql-server-core-5.5,
    mariadb-server-core-5.1, mariadb-server-core-5.2, mariadb-server-core-5.5
Replaces: mariadb-server-5.1 (<< 5.1.60),
    mariadb-server-5.2 (<< 5.2.10),
    mariadb-server-5.3 (<< 5.3.3),
    mysql-server-5.0,
    mysql-server-core-5.0, mysql-server-core-5.1, mysql-server-core-5.5,
    mariadb-server-core-5.1, mariadb-server-core-5.2, mariadb-server-core-5.5
Description: MariaDB database core server files
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes the core server files, as used by Akonadi.

Package: mariadb-test-5.5
Section: database
Architecture: any
Depends: mariadb-server-5.5 (= ${source:Version}), mariadb-client-5.5 (= ${source:Version})
Conflicts: mariadb-test (<< ${source:Version}),
    mariadb-test-5.1, mariadb-test-5.2, mariadb-test-5.3,
    mariadb-server-5.5 (<< 5.5.33), mariadb-galera-server-5.5 (<< 5.5.33)
Suggests: patch
Replaces: mariadb-test (<< ${source:Version}),
    mariadb-test-5.1, mariadb-test-5.2, mariadb-test-5.3
Description: MariaDB database regression test suite
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes the regression test suite.

Package: mariadb-server-5.5
Architecture: any
Suggests: tinyca, mailx, mariadb-test
Recommends: libhtml-template-perl
Pre-Depends: mariadb-common, adduser (>= 3.40), debconf
Depends: mariadb-client-5.5 (>= ${source:Version}), libdbi-perl,
         perl (>= 5.6), ${shlibs:Depends}, ${misc:Depends}, psmisc,
         passwd, lsb-base (>= 3.0-10), bsdutils,
         mariadb-server-core-5.5 (>= ${binary:Version})
Provides: mariadb-server, mysql-server, virtual-mysql-server
Conflicts: mariadb-server (<< ${source:Version}), mysql-server (<< ${source:Version}),
    mysql-server-4.1, mysql-server-5.0, mysql-server-5.1, mysql-server-5.5,
    mariadb-server-5.1, mariadb-server-5.2, mariadb-server-5.3,
    mariadb-tokudb-engine-5.5
Replaces: mariadb-server (<< ${source:Version}), mysql-server (<< ${source:Version}),
    mysql-server-4.1, mysql-server-5.0, mysql-server-5.1, mysql-server-5.5,
    mariadb-server-5.1, mariadb-server-5.2, mariadb-server-5.3,
    libmariadbclient16 (<< 5.3.4), libmariadbclient-dev (<< 5.5.0),
    mariadb-tokudb-engine-5.5
Description: MariaDB database server binaries
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes the server binaries.

Package: mariadb-server
Section: database
Architecture: all
Depends: mariadb-server-5.5 (= ${source:Version}), ${misc:Depends}
Description: MariaDB database server (metapackage depending on the latest version)
 This is an empty package that depends on the current "best" version of
 mariadb-server (currently mariadb-server-5.5), as determined by the MariaDB
 maintainers. Install this package if in doubt about which MariaDB
 version you need. That will install the version recommended by the
 package maintainers.
 .
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.

Package: mariadb-client
Section: database
Architecture: all
Depends: mariadb-client-5.5 (= ${source:Version}), ${misc:Depends}
Description: MariaDB database client (metapackage depending on the latest version)
 This is an empty package that depends on the current "best" version of
 mariadb-client (currently mariadb-client-5.5), as determined by the MariaDB
 maintainers.  Install this package if in doubt about which MariaDB version
 you want, as this is the one we consider to be in the best shape.

Package: mariadb-test
Section: database
Architecture: all
Depends: mariadb-test-5.5 (= ${source:Version})
Description: MariaDB database regression test suite (metapackage depending on the latest version)
 This is an empty package that depends on the current "best" version of
 mariadb-test (currently mariadb-test-5.5), as determined by the MariaDB
 maintainers.
